using UnityEngine;
using UnityEngine.SceneManagement;
using UnityEngine.UI;

public class SceneLoader : MonoBehaviour
{
    [SerializeField]
    AudioClip clickSound;

    public void Tutorial()
    {
        SoundManager.Instance.RandomSoundEffect(clickSound);
        SceneManager.LoadScene("TutorialScene", LoadSceneMode.Single);
        Debug.Log("Tutorial");
    }

    public void Play()
    {
        SoundManager.Instance.RandomSoundEffect(clickSound);
        SceneManager.LoadScene("GameplayScene", LoadSceneMode.Single);
        Debug.Log("Jugando...");
    }

    public void Exit()
    {
        SoundManager.Instance.RandomSoundEffect(clickSound);
        Application.Quit();
    }

    public void Inicio()
    {
        SoundManager.Instance.RandomSoundEffect(clickSound);
        SceneManager.LoadScene("MenuScene", LoadSceneMode.Single);
        Debug.Log("Inicio");
    }

    public void Credits()
    {
        SoundManager.Instance.RandomSoundEffect(clickSound);
        SceneManager.LoadScene("CreditsScene", LoadSceneMode.Single);
        Debug.Log("Credits");
    }
}
